declare variable $count as xs:integer := 0;
for $art in collection("TTAGGER-france")//article

for $elt in $art/element
let $adj-nom :=
  if (($elt/data[1]/text()="ADJ") 
    and ($elt/following-sibling::element[1]/data[1]/text()="NOM"))
  then (
      concat($elt/data[3]/text()," ",
      $elt/following-sibling::element[1]/data[3]/text()," ")
  )
  else (
    "&#10;"
  )
where $adj-nom != "&#10;"
group by $a:= $adj-nom
order by count($adj-nom) descending 
return concat(count($adj-nom), " ", $a)